/***********************************************************/
/*                                                         */
/*       SAS Program to read the PCCF June 2013 file       */
/*       Created by:  Michelle Edwards, Ph.D, MLIS         */
/*       October 11, 2013                                  */
/*                                                         */
/***********************************************************/


/*                         PLEASE NOTE:                                */
/*  You will need to change the libname and the location of your file  */



libname pccfdata "S:\DRC\PCCF_2013\2011\PCCF";

Data pccfdata.pccf2011_jun2013;
  infile "S:\DRC\PCCF_2013\2011\pccfNat_JUN13_fccpNat.txt" lrecl = 217;
  input
  @1 PostalCode $6. 
  @7 FSA $3.
  @10 PR $2.
  @12 CDuid $4. 
  @16 CSDuid $7. 
  @23 CSDname $70. 
  @93 CSDtype $3. 
  @96 CCScode $3. 
  @99 SAC $3. 
  @102 SACtype $1. 
  @103 CTname $7. 
  @110 ER $2. 
  @112 DPL $4. 
  @116 FED03uid $5. 
  @121 POP_CNTR_RA $4. 
  @125 POP_CNTR_RA_type $1. 
  @126 DAuid $8. 
  @134 DissBlock $2. 
  @136 Rep_Pt_Type $1. 
  @137 LAT $11.
  @148 LONG $13.
  @161 SLI $1. 
  @162 PCtype $1. 
  @163 Comm_Name $30. 
  @193 DMT $1. 
  @194 H_DMT $1. 
  @195 Birth_Date $8. 
  @203 Ret_Date $8. 
  @211 PO $1. 
  @212 QI $3. 
  @215 Source $1. 
  @216 POP_CNTR_RA_SIZE_CLASS $1.;

label 
  PostalCode = "Postal code"
  FSA = "Forward sortation area"
  PR = "Province or territory code"
  CDuid = "Census division unique identifier"
  CSDuid = "Census subdivision unique identifier"
  CSDname = "Census subdivision name"
  CSDtype = "Census subdivision type"
  CCScode = "Census consolidated subdivision code"
  SAC = "Statistical Area Classification code (includes CMA/CA)"
  SACtype = "Statistical Area Classification type (includes CMA/CA)"
  CTname = "Census tract name"
  ER = "Economic region code"
  DPL = "Designated place code"
  FED03uid = "Federal electoral district  2003 Representation Order unique identifier"
  POP_CNTR_RA = "Population centre/rural area code"
  POP_CNTR_RA_type = "Population centre/rural area type"
  DAuid = "Dissemination area unique identifier"
  DissBlock = "Dissemination block code"
  Rep_Pt_Type = "Representative point type"
  LAT = "Latitude of lowest level geographic area for postal codeOM record (as indicated in Rep_Pt_Type variable)"
  LONG = "Longitude of lowest level geographic area for postal codeOM record (as indicated in Rep_Pt_Type variable)"
  SLI = "Single link indicator"
  PCtype = "Postal codeOM type"
  Comm_Name = "Community name"
  DMT = "Delivery mode type"
  H_DMT = "Historic delivery mode type"
  Birth_Date = "Birth date (yyyymmdd)"
  Ret_Date = "Retired date (yyyymmdd)"
  PO = "Delivery installation"
  QI = "Quality indicator"
  Source = "Source of geocoding"
  POP_CNTR_RA_SIZE_CLASS = "Population centre and rural area classification"; 
Run;


Proc contents data=pccfdata.pccf2011_jun2013;
Run;

Proc print data=pccfdata.pccf2011_jun2013 (obs = 2);
Run;


/*   This section reads the CD names file   */

Data pccfdata.cd_names;
   infile "S:\DRC\PCCF_2013\2011\CD_DR.txt";
   input 
    @1 CDUID $4.
	@5 CDname $100.;

	label
	CDuid = "Census division unique identifier"
	CDname = "Census Division name";
Run;

